| AOMedia AV1 Codec

Data Fields
LV_MAP_COEFF_COST Struct Reference

Costs for encoding the coefficients within a level. More...

`#include <block.h>`

## Data Fields
int | txb_skip_cost [13][2]
| Cost to skip txfm for the current txfm block.
int | base_eob_cost [4][3]
| Cost for encoding the base_eob of a level.
int | base_cost [(26+16)][8]
| Cost for encoding the base level of a coefficient.
int | eob_extra_cost [9][2]
| Cost for encoding the last non-zero coefficient.
int | dc_sign_cost [3][2]
| Cost for encoding the dc_sign.
int | lps_cost [21][(4 *((4) - 1))+1+(4 *((4) - 1))+1]
| Cost for encoding an increment to the coefficient.

## Detailed Description

Costs for encoding the coefficients within a level.

Covers everything including txb_skip, eob, dc_sign,

## Field Documentation

## ◆ base_eob_cost

int LV_MAP_COEFF_COST::base_eob_cost[4][3]

Cost for encoding the base_eob of a level.

Decoder uses base_eob to derive the base_level as base_eob := base_eob+1.

## ◆ base_cost

int LV_MAP_COEFF_COST::base_cost[(26+16)][8]

Cost for encoding the base level of a coefficient.

Decoder derives coeff_base as coeff_base := base_eob + 1.

## ◆ eob_extra_cost

int LV_MAP_COEFF_COST::eob_extra_cost[9][2]

Cost for encoding the last non-zero coefficient.

Eob is derived from eob_extra at the decoder as eob := eob_extra + 1

The documentation for this struct was generated from the following file:

- av1/encoder/block.h